## MMFirmwareUpdateSettings

MMFirmwareUpdateSettings — Helper object to handle firmware update settings.

## Functions

const gchar * | mm_firmware_update_settings_get_fastboot_at ()
MMModemFirmwareUpdateMethod | mm_firmware_update_settings_get_method ()
const gchar ** | mm_firmware_update_settings_get_device_ids ()
const gchar * | mm_firmware_update_settings_get_version ()

## Types and Values

struct | MMFirmwareUpdateSettings

## Object Hierarchy

        GObject
        ╰── MMFirmwareUpdateSettings

## Description

The MMFirmwareUpdateSettings is an object handling the settings exposed to aid in the firmware update operation.

## Functions

### mm_firmware_update_settings_get_fastboot_at ()

    const gchar *
    mm_firmware_update_settings_get_fastboot_at
                                   (MMFirmwareUpdateSettings *self);

Gets the AT command that should be sent to the module to trigger a reset into fastboot mode.

Only applicable if the update method includes `MM_MODEM_FIRMWARE_UPDATE_METHOD_FASTBOOT`.

#### Parameters

self | a MMFirmwareUpdateSettings. |

#### Returns

The AT command string, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.10

### mm_firmware_update_settings_get_method ()

    MMModemFirmwareUpdateMethod
    mm_firmware_update_settings_get_method
                                   (MMFirmwareUpdateSettings *self);

Gets the methods to use during the firmware update operation.

#### Parameters

self | A MMFirmwareUpdateSettings. |

#### Returns

a bitmask of MMModemFirmwareUpdateMethod values.

Since: 1.10

### mm_firmware_update_settings_get_device_ids ()

    const gchar **
    mm_firmware_update_settings_get_device_ids
                                   (MMFirmwareUpdateSettings *self);

Gets the list of device ids used to identify the device during a firmware update operation.

#### Parameters

self | a MMFirmwareUpdateSettings. |

#### Returns

The list of device ids, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.10

### mm_firmware_update_settings_get_version ()

    const gchar *
    mm_firmware_update_settings_get_version
                                   (MMFirmwareUpdateSettings *self);

Gets firmware version string.

#### Parameters

self | a MMFirmwareUpdateSettings. |

#### Returns

The version string, or `NULL` if unknown. Do not free the returned value, it is owned by `self` .

Since: 1.10

## Types and Values

### struct MMFirmwareUpdateSettings

    struct MMFirmwareUpdateSettings;

The MMFirmwareUpdateSettings structure contains private data and should only be accessed using the provided API.